# coding: utf-8

# flake8: noqa

"""
    STACKIT Observability API

    API endpoints for Observability on STACKIT

    The version of the OpenAPI document: 1.1.1
    Contact: stackit-argus@mail.schwarz
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# Define package exports
__all__ = [
    "DefaultApi",
    "ApiResponse",
    "ApiClient",
    "HostConfiguration",
    "OpenApiException",
    "ApiTypeError",
    "ApiValueError",
    "ApiKeyError",
    "ApiAttributeError",
    "ApiException",
    "Alert",
    "AlertConfigReceiversResponse",
    "AlertConfigRouteResponse",
    "AlertGroup",
    "AlertGroupResponse",
    "AlertGroupsResponse",
    "AlertRule",
    "AlertRuleRecord",
    "AlertRulesResponse",
    "BasicAuth",
    "CreateAlertConfigReceiverPayload",
    "CreateAlertConfigReceiverPayloadEmailConfigsInner",
    "CreateAlertConfigReceiverPayloadOpsgenieConfigsInner",
    "CreateAlertConfigReceiverPayloadWebHookConfigsInner",
    "CreateAlertConfigRoutePayload",
    "CreateAlertConfigRoutePayloadRoutesInner",
    "CreateAlertgroupsPayload",
    "CreateAlertrulesPayload",
    "CreateCredentialsResponse",
    "CreateInstancePayload",
    "CreateInstanceResponse",
    "CreateLogsAlertgroupsPayload",
    "CreateScrapeConfigPayload",
    "CreateScrapeConfigPayloadBasicAuth",
    "CreateScrapeConfigPayloadHttpSdConfigsInner",
    "CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2",
    "CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2TlsConfig",
    "CreateScrapeConfigPayloadMetricsRelabelConfigsInner",
    "CreateScrapeConfigPayloadStaticConfigsInner",
    "Credentials",
    "CredentialsRemoteWriteConfig",
    "CredentialsRemoteWriteDeleteResponse",
    "DeleteScrapeConfigResponse",
    "EmailConfig",
    "Error",
    "GetAlertConfigsResponse",
    "GetCredentialsResponse",
    "GetInstanceResponse",
    "GetMetricsStorageRetentionResponse",
    "GetScrapeConfigResponse",
    "GrafanaConfigs",
    "GrafanaOauth",
    "HTTPServiceSD",
    "InhibitRules",
    "Instance",
    "InstanceResponse",
    "InstanceSensitiveData",
    "Job",
    "ListACLResponse",
    "ListCredentialsResponse",
    "ListInstancesResponse",
    "ListScrapeConfigsResponse",
    "LogsConfig",
    "LogsConfigResponse",
    "Message",
    "MetricsRelabelConfig",
    "ModelGlobal",
    "OAuth2",
    "OpsgenieConfig",
    "PermissionDenied",
    "Plan",
    "PlanModel",
    "PlansResponse",
    "ProjectInstanceFull",
    "Receiver",
    "Receivers",
    "Route",
    "RouteSerializer",
    "ScrapeConfigsResponse",
    "ServiceKeysList",
    "StaticConfigs",
    "TLSConfig",
    "TraceConfig",
    "TracesConfigResponse",
    "UpdateACLPayload",
    "UpdateAlertConfigReceiverPayload",
    "UpdateAlertConfigRoutePayload",
    "UpdateAlertConfigsPayload",
    "UpdateAlertConfigsPayloadGlobal",
    "UpdateAlertConfigsPayloadInhibitRules",
    "UpdateAlertConfigsPayloadReceiversInner",
    "UpdateAlertConfigsPayloadRoute",
    "UpdateAlertConfigsResponse",
    "UpdateAlertgroupPayload",
    "UpdateAlertgroupsRequestInner",
    "UpdateAlertgroupsRequestInnerRulesInner",
    "UpdateCredentialsRemoteWriteConfigPayload",
    "UpdateGrafanaConfigsPayload",
    "UpdateGrafanaConfigsPayloadGenericOauth",
    "UpdateInstancePayload",
    "UpdateLogsAlertgroupPayload",
    "UpdateLogsConfigsPayload",
    "UpdateMetricsStorageRetentionPayload",
    "UpdateScrapeConfigPayload",
    "UpdateScrapeConfigPayloadStaticConfigsInner",
    "UpdateTracesConfigsPayload",
    "WebHook",
]

# import apis into sdk package
from stackit.observability.api.default_api import DefaultApi as DefaultApi
from stackit.observability.api_client import ApiClient as ApiClient

# import ApiClient
from stackit.observability.api_response import ApiResponse as ApiResponse
from stackit.observability.configuration import HostConfiguration as HostConfiguration
from stackit.observability.exceptions import ApiAttributeError as ApiAttributeError
from stackit.observability.exceptions import ApiException as ApiException
from stackit.observability.exceptions import ApiKeyError as ApiKeyError
from stackit.observability.exceptions import ApiTypeError as ApiTypeError
from stackit.observability.exceptions import ApiValueError as ApiValueError
from stackit.observability.exceptions import OpenApiException as OpenApiException

# import models into sdk package
from stackit.observability.models.alert import Alert as Alert
from stackit.observability.models.alert_config_receivers_response import (
    AlertConfigReceiversResponse as AlertConfigReceiversResponse,
)
from stackit.observability.models.alert_config_route_response import (
    AlertConfigRouteResponse as AlertConfigRouteResponse,
)
from stackit.observability.models.alert_group import AlertGroup as AlertGroup
from stackit.observability.models.alert_group_response import (
    AlertGroupResponse as AlertGroupResponse,
)
from stackit.observability.models.alert_groups_response import (
    AlertGroupsResponse as AlertGroupsResponse,
)
from stackit.observability.models.alert_rule import AlertRule as AlertRule
from stackit.observability.models.alert_rule_record import (
    AlertRuleRecord as AlertRuleRecord,
)
from stackit.observability.models.alert_rules_response import (
    AlertRulesResponse as AlertRulesResponse,
)
from stackit.observability.models.basic_auth import BasicAuth as BasicAuth
from stackit.observability.models.create_alert_config_receiver_payload import (
    CreateAlertConfigReceiverPayload as CreateAlertConfigReceiverPayload,
)
from stackit.observability.models.create_alert_config_receiver_payload_email_configs_inner import (
    CreateAlertConfigReceiverPayloadEmailConfigsInner as CreateAlertConfigReceiverPayloadEmailConfigsInner,
)
from stackit.observability.models.create_alert_config_receiver_payload_opsgenie_configs_inner import (
    CreateAlertConfigReceiverPayloadOpsgenieConfigsInner as CreateAlertConfigReceiverPayloadOpsgenieConfigsInner,
)
from stackit.observability.models.create_alert_config_receiver_payload_web_hook_configs_inner import (
    CreateAlertConfigReceiverPayloadWebHookConfigsInner as CreateAlertConfigReceiverPayloadWebHookConfigsInner,
)
from stackit.observability.models.create_alert_config_route_payload import (
    CreateAlertConfigRoutePayload as CreateAlertConfigRoutePayload,
)
from stackit.observability.models.create_alert_config_route_payload_routes_inner import (
    CreateAlertConfigRoutePayloadRoutesInner as CreateAlertConfigRoutePayloadRoutesInner,
)
from stackit.observability.models.create_alertgroups_payload import (
    CreateAlertgroupsPayload as CreateAlertgroupsPayload,
)
from stackit.observability.models.create_alertrules_payload import (
    CreateAlertrulesPayload as CreateAlertrulesPayload,
)
from stackit.observability.models.create_credentials_response import (
    CreateCredentialsResponse as CreateCredentialsResponse,
)
from stackit.observability.models.create_instance_payload import (
    CreateInstancePayload as CreateInstancePayload,
)
from stackit.observability.models.create_instance_response import (
    CreateInstanceResponse as CreateInstanceResponse,
)
from stackit.observability.models.create_logs_alertgroups_payload import (
    CreateLogsAlertgroupsPayload as CreateLogsAlertgroupsPayload,
)
from stackit.observability.models.create_scrape_config_payload import (
    CreateScrapeConfigPayload as CreateScrapeConfigPayload,
)
from stackit.observability.models.create_scrape_config_payload_basic_auth import (
    CreateScrapeConfigPayloadBasicAuth as CreateScrapeConfigPayloadBasicAuth,
)
from stackit.observability.models.create_scrape_config_payload_http_sd_configs_inner import (
    CreateScrapeConfigPayloadHttpSdConfigsInner as CreateScrapeConfigPayloadHttpSdConfigsInner,
)
from stackit.observability.models.create_scrape_config_payload_http_sd_configs_inner_oauth2 import (
    CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2 as CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2,
)
from stackit.observability.models.create_scrape_config_payload_http_sd_configs_inner_oauth2_tls_config import (
    CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2TlsConfig as CreateScrapeConfigPayloadHttpSdConfigsInnerOauth2TlsConfig,
)
from stackit.observability.models.create_scrape_config_payload_metrics_relabel_configs_inner import (
    CreateScrapeConfigPayloadMetricsRelabelConfigsInner as CreateScrapeConfigPayloadMetricsRelabelConfigsInner,
)
from stackit.observability.models.create_scrape_config_payload_static_configs_inner import (
    CreateScrapeConfigPayloadStaticConfigsInner as CreateScrapeConfigPayloadStaticConfigsInner,
)
from stackit.observability.models.credentials import Credentials as Credentials
from stackit.observability.models.credentials_remote_write_config import (
    CredentialsRemoteWriteConfig as CredentialsRemoteWriteConfig,
)
from stackit.observability.models.credentials_remote_write_delete_response import (
    CredentialsRemoteWriteDeleteResponse as CredentialsRemoteWriteDeleteResponse,
)
from stackit.observability.models.delete_scrape_config_response import (
    DeleteScrapeConfigResponse as DeleteScrapeConfigResponse,
)
from stackit.observability.models.email_config import EmailConfig as EmailConfig
from stackit.observability.models.error import Error as Error
from stackit.observability.models.get_alert_configs_response import (
    GetAlertConfigsResponse as GetAlertConfigsResponse,
)
from stackit.observability.models.get_credentials_response import (
    GetCredentialsResponse as GetCredentialsResponse,
)
from stackit.observability.models.get_instance_response import (
    GetInstanceResponse as GetInstanceResponse,
)
from stackit.observability.models.get_metrics_storage_retention_response import (
    GetMetricsStorageRetentionResponse as GetMetricsStorageRetentionResponse,
)
from stackit.observability.models.get_scrape_config_response import (
    GetScrapeConfigResponse as GetScrapeConfigResponse,
)
from stackit.observability.models.grafana_configs import (
    GrafanaConfigs as GrafanaConfigs,
)
from stackit.observability.models.grafana_oauth import GrafanaOauth as GrafanaOauth
from stackit.observability.models.http_service_sd import HTTPServiceSD as HTTPServiceSD
from stackit.observability.models.inhibit_rules import InhibitRules as InhibitRules
from stackit.observability.models.instance import Instance as Instance
from stackit.observability.models.instance_response import (
    InstanceResponse as InstanceResponse,
)
from stackit.observability.models.instance_sensitive_data import (
    InstanceSensitiveData as InstanceSensitiveData,
)
from stackit.observability.models.job import Job as Job
from stackit.observability.models.list_acl_response import (
    ListACLResponse as ListACLResponse,
)
from stackit.observability.models.list_credentials_response import (
    ListCredentialsResponse as ListCredentialsResponse,
)
from stackit.observability.models.list_instances_response import (
    ListInstancesResponse as ListInstancesResponse,
)
from stackit.observability.models.list_scrape_configs_response import (
    ListScrapeConfigsResponse as ListScrapeConfigsResponse,
)
from stackit.observability.models.logs_config import LogsConfig as LogsConfig
from stackit.observability.models.logs_config_response import (
    LogsConfigResponse as LogsConfigResponse,
)
from stackit.observability.models.message import Message as Message
from stackit.observability.models.metrics_relabel_config import (
    MetricsRelabelConfig as MetricsRelabelConfig,
)
from stackit.observability.models.model_global import ModelGlobal as ModelGlobal
from stackit.observability.models.o_auth2 import OAuth2 as OAuth2
from stackit.observability.models.opsgenie_config import (
    OpsgenieConfig as OpsgenieConfig,
)
from stackit.observability.models.permission_denied import (
    PermissionDenied as PermissionDenied,
)
from stackit.observability.models.plan import Plan as Plan
from stackit.observability.models.plan_model import PlanModel as PlanModel
from stackit.observability.models.plans_response import PlansResponse as PlansResponse
from stackit.observability.models.project_instance_full import (
    ProjectInstanceFull as ProjectInstanceFull,
)
from stackit.observability.models.receiver import Receiver as Receiver
from stackit.observability.models.receivers import Receivers as Receivers
from stackit.observability.models.route import Route as Route
from stackit.observability.models.route_serializer import (
    RouteSerializer as RouteSerializer,
)
from stackit.observability.models.scrape_configs_response import (
    ScrapeConfigsResponse as ScrapeConfigsResponse,
)
from stackit.observability.models.service_keys_list import (
    ServiceKeysList as ServiceKeysList,
)
from stackit.observability.models.static_configs import StaticConfigs as StaticConfigs
from stackit.observability.models.tls_config import TLSConfig as TLSConfig
from stackit.observability.models.trace_config import TraceConfig as TraceConfig
from stackit.observability.models.traces_config_response import (
    TracesConfigResponse as TracesConfigResponse,
)
from stackit.observability.models.update_acl_payload import (
    UpdateACLPayload as UpdateACLPayload,
)
from stackit.observability.models.update_alert_config_receiver_payload import (
    UpdateAlertConfigReceiverPayload as UpdateAlertConfigReceiverPayload,
)
from stackit.observability.models.update_alert_config_route_payload import (
    UpdateAlertConfigRoutePayload as UpdateAlertConfigRoutePayload,
)
from stackit.observability.models.update_alert_configs_payload import (
    UpdateAlertConfigsPayload as UpdateAlertConfigsPayload,
)
from stackit.observability.models.update_alert_configs_payload_global import (
    UpdateAlertConfigsPayloadGlobal as UpdateAlertConfigsPayloadGlobal,
)
from stackit.observability.models.update_alert_configs_payload_inhibit_rules import (
    UpdateAlertConfigsPayloadInhibitRules as UpdateAlertConfigsPayloadInhibitRules,
)
from stackit.observability.models.update_alert_configs_payload_receivers_inner import (
    UpdateAlertConfigsPayloadReceiversInner as UpdateAlertConfigsPayloadReceiversInner,
)
from stackit.observability.models.update_alert_configs_payload_route import (
    UpdateAlertConfigsPayloadRoute as UpdateAlertConfigsPayloadRoute,
)
from stackit.observability.models.update_alert_configs_response import (
    UpdateAlertConfigsResponse as UpdateAlertConfigsResponse,
)
from stackit.observability.models.update_alertgroup_payload import (
    UpdateAlertgroupPayload as UpdateAlertgroupPayload,
)
from stackit.observability.models.update_alertgroups_request_inner import (
    UpdateAlertgroupsRequestInner as UpdateAlertgroupsRequestInner,
)
from stackit.observability.models.update_alertgroups_request_inner_rules_inner import (
    UpdateAlertgroupsRequestInnerRulesInner as UpdateAlertgroupsRequestInnerRulesInner,
)
from stackit.observability.models.update_credentials_remote_write_config_payload import (
    UpdateCredentialsRemoteWriteConfigPayload as UpdateCredentialsRemoteWriteConfigPayload,
)
from stackit.observability.models.update_grafana_configs_payload import (
    UpdateGrafanaConfigsPayload as UpdateGrafanaConfigsPayload,
)
from stackit.observability.models.update_grafana_configs_payload_generic_oauth import (
    UpdateGrafanaConfigsPayloadGenericOauth as UpdateGrafanaConfigsPayloadGenericOauth,
)
from stackit.observability.models.update_instance_payload import (
    UpdateInstancePayload as UpdateInstancePayload,
)
from stackit.observability.models.update_logs_alertgroup_payload import (
    UpdateLogsAlertgroupPayload as UpdateLogsAlertgroupPayload,
)
from stackit.observability.models.update_logs_configs_payload import (
    UpdateLogsConfigsPayload as UpdateLogsConfigsPayload,
)
from stackit.observability.models.update_metrics_storage_retention_payload import (
    UpdateMetricsStorageRetentionPayload as UpdateMetricsStorageRetentionPayload,
)
from stackit.observability.models.update_scrape_config_payload import (
    UpdateScrapeConfigPayload as UpdateScrapeConfigPayload,
)
from stackit.observability.models.update_scrape_config_payload_static_configs_inner import (
    UpdateScrapeConfigPayloadStaticConfigsInner as UpdateScrapeConfigPayloadStaticConfigsInner,
)
from stackit.observability.models.update_traces_configs_payload import (
    UpdateTracesConfigsPayload as UpdateTracesConfigsPayload,
)
from stackit.observability.models.web_hook import WebHook as WebHook
